// pages/maillist.js
import http from '../../../base/httputil'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
 /**
     * 控制上拉到底部时是否出现 "数据加载中..."
     */
    hidden: true,
    /**
     * 数据是否正在加载中，避免数据多次加载
     */
    loadingData: false,
    bookList: [],
    isRefresh: true,
    total: 0,
    pageNum: 1 ,// 页码
    serchValue:""
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (){
   // this.loadData()
   
  },
  searchEnterprise(e) {
    var obj = new Object()
    //每次搜索初始化数据
    this.setData({
      serchValue: e.detail.value,
      bookList: [],
      hidden: true,
      loadingData: false,
      isRefresh: true,
      total: 0,
      pageNum: 1, // 页
    })
    obj.nickName = e.detail.value
    obj.pageNum = this.data.pageNum
    obj.pageSize = 10
    obj.reasonable = false
    this.loadData(obj)

  },


  loadData(data){
    http.send_get("/system/AppPBookController/getPBookList", data, this.getBookListSuccess)
  },
  getBookListSuccess(res) {

    console.log("@@@@", res)
    if (res.code == 200) {
      // 显示加载图标
      wx.showLoading({
        title: '玩命加载中',
      })
      var that = this

      if (res.data.rows.length == 0) {
        wx.showToast({
          title: '暂无更多数据',
          icon: "none"
        })
      }
      if (this.data.isRefresh) {
        this.setData({
          bookList: res.data.rows,
          total: res.data.total
        })



        // 隐藏导航栏加载框
        setTimeout(function () {
          that.setData({
            loadingData: false
          });
          wx.hideNavigationBarLoading();
          // 停止下拉动作
          wx.stopPullDownRefresh();
          wx.hideLoading()

        }, 1000)

      } else {
        this.setData({
          bookList: this.data.bookList.concat(res.data.rows)
        })
        // 隐藏加载框

        setTimeout(function () {
          that.setData({
            hidden: true,
            loadingData: false
          });

          wx.hideLoading();
        }, 1000)

      }
    } else {
      console.log("@@!", "请求失败")
    }
  },
  onPullDownRefresh: function () {
    if (this.data.serchValue == "") {
      wx.showToast({
        title: '请输入搜索内容',
        icon: 'error'
      })
      return
    }
    // 显示顶部刷新图标
    wx.showNavigationBarLoading();
    var that = this;
    var loadingData = this.data.loadingData
    if (loadingData) {
      return;
    }
    that.setData({
      pageNum: 1,
      isRefresh: true
    })
    let obj = new Object()
    obj.pageNum = this.data.pageNum
    obj.nickName = this.data.serchValue
    obj.pageSize = 10
    obj.reasonable = false
    this.loadData(obj)
  },
  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    let that = this
    var loadingData = that.data.loadingData

    var hidden = that.data.hidden
    // 页数+1
    that.setData({
      pageNum: that.data.pageNum + 1,
      isRefresh: false
    })
    if (hidden) {
      that.setData({
        hidden: false
      });
      console.info(that.data.hidden);
    }

    if (loadingData) {
      return;
    }
    that.setData({
      loadingData: true
    });


    //console.log("@@@@"+Math.ceil(this.data.total/10))
    // if(Math.ceil(that.data.total/10)>=that.data.pageNum){
      let obj = new Object()
      obj.pageNum = that.data.pageNum
      obj.nickName = that.data.serchValue
      obj.pageSize = 10
      obj.reasonable = false
    that.loadData(obj);

    // }else{

    //   setTimeout(function () {
    //     that.setData({
    //       hidden: true,
    //     });

    //   }, 2000)
    // }


  },

  
  Call(e){
    let phone = e.currentTarget.dataset.index
    if(phone.phonenumber!=""){
    wx.makePhoneCall({
      phoneNumber: phone.phonenumber
    })
  }else{
    wx.showToast({
      title: '该联系人暂无电话',
      icon:'error'
    })
  }
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

 

 


})